PPM improved

I have made some significant improvements to the Puppy Package Manager:

1. EXE/DEV/DOC/NLS checkboxes
2. Help page
3. Search fixes

Snapshot of main window:


Notice the Help button. It will bring up this help page:
http://bkhome.org/woof/help.htm

This is in Woof, but I could make the relevant files into a tarball if anyone wants this!


Posted on 30 Nov 2010, 19:33


Comments:

Posted on 30 Nov 2010, 20:00 by aragon2
ppm help
in my opinion it would be better to include the page in the iso and link locally.

aragon


Posted on 30 Nov 2010, 20:47 by Sage
When
Appreciate some guidance, however vague, about Wary release timeline(s) as have a number of machines to maintain for which this is the best option.
Ta.


Posted on 30 Nov 2010, 21:43 by bigpup
Nice improvement
Nice improvements!
Help was very much needed for newbies.
I agree, help should be in the iso and link locally.


Posted on 30 Nov 2010, 23:31 by gjuhasz
Installed packages pane size
Is it possible ti adjust the size of Installed packages pane to the PPM window size?
Actually, its height is fixed.


Posted on 31 Nov 2010, 6:51 by dogle
ppm help
ppm help will change over time butit will be current for a given release. Much as I like to see the ISO as small as can be, .txt is not very heavy so I support the built-in view offered by aragon2 and bigpup (early Puppies were conspicuously good for built-in info.; more recently our newbies' predominant gripe is difficulty in finding the right 'gen).


Posted on 31 Nov 2010, 7:09 by BarryK
PPM help is local
Guys,
Sorry, I didn't explain that. The help is actually local. At /usr/local/petget/help.htm.
I only uploaded it for announcement purposes.



Posted on 31 Nov 2010, 8:03 by BarryK
PPM upgrade files
I posted the latest PPM files here:

http://murga-linux.com/puppy/viewtopic.php?p=472612#472612



Posted on 1 Dec 2010, 11:07 by PaulBx1
I commented there
BTW I had another problem with PPM noted at page 8 of the Lupu511 bugs thread. In case you want to deal with that one too. :-)


Posted on 1 Dec 2010, 16:17 by Sage
Size matters
"Snapshot of main window: "

The sizing of this item causes the entire blog to spill over substantially on my 15" lcd monitor (running 800x600). Probably unreadable for those with even worse eyesight using 640x480?


Posted on 1 Dec 2010, 21:44 by Iguleder
volumeicon
Barry, here's something useful for Wary - could save some RAM.

I found volumeicon some time ago and hacked it but it was kinda messy so I abandoned it, but today I found some spare time and hacked it so the whole package is just two files (plus a /root/Startup symlink) - I disabled themes, removed all graphics and changed the default settings.

http://brainwavedesigncentral.net/dima/insidious-001/sources/volumeicon-0.2.1-patched1

Now I use it with a simple template I made for gnome-alsamixer (PLUSEXTRADIRS, a .desktop file and /usr/local/bin/defaultaudiomixer). Great combo!


Posted on 3 Dec 2010, 6:18 by PaulBx1
Getting back to PPM...
Barry, this has the problem that the radiobutton for the repo that appears selected after first invoking PPM, is not the same repo as is being displayed in the package list (as I mentioned on the forum).

I was fooling around with the code and found that on those places where you create the repo radiobuttons (4 places), if you change <radiobutton> to <radiobutton active="true">, then the selected radiobutton is in sync with the displayed package list.

I had a theory why this was working, but tried re-ordering the radiobuttons and still ended up with puppy-lucid selected; so I don't know. In either case however, the repo selected jived with the packages displayed, which is the main thing.

Strangely, when I tried using that same 'active="true"' on one of the radiobuttons for the categories, PPM failed to start. So there may be more to it...

I also tried to figure out why the installed packages list could stretch (on widening the window), but not the "available" packages list. No luck there.

The documentation on gtkdialog is awful, or at least I couldn't find much on the Internet beyond examples. No reference manual to speak of.


Posted on 3 Dec 2010, 8:01 by PaulBx1
PPM search still has problems
Found another search problem.

If I go to the .packages directory, and grep for openvpn, this is what I get:
# grep -i ^openvpn Packages*

Packages-ubuntu-lucid-main:openvpn_2.1.0...
Packages-ubuntu-lucid-main:openvpn-blacklist_0.4...
Packages-ubuntu-lucid-universe:openvpn-auth-ldap_2.0.3-1...


And sure enough, if I select ubuntu-lucid-main in PPM and search for openvpn I see the packages openvpn_2.1.0 and openvpn-blacklist_0.4; and if I select ubuntu-lucid-universe and search I see openvpn-auth-ldap_2.0.3-1.

The problem is, if I select either of the two other repos, I still see openvpn_2.1.0 and openvpn-blacklist_0.4, when I shouldn't find anything!